summaryrefslogtreecommitdiff
path: root/tests/ls/follow-slink
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-12-02 14:52:45 +0000
committerJim Meyering <jim@meyering.net>2000-12-02 14:52:45 +0000
commit525e76fce001fc74ed124a1d0a628bc8315d8618 (patch)
treea1d82f3f2a01654fd6b03f5fc6c8c2ec6f109aa6 /tests/ls/follow-slink
parentd91624bd99b95c37bfe0908cc024e069eac18a95 (diff)
downloadcoreutils-525e76fce001fc74ed124a1d0a628bc8315d8618.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/ls/follow-slink')
-rwxr-xr-xtests/ls/follow-slink28
1 files changed, 28 insertions, 0 deletions
diff --git a/tests/ls/follow-slink b/tests/ls/follow-slink
new file mode 100755
index 000000000..ea87d92ea
--- /dev/null
+++ b/tests/ls/follow-slink
@@ -0,0 +1,28 @@
+#!/bin/sh
+# make sure ls -L always follows symlinks
+
+if test "$VERBOSE" = yes; then
+ set -x
+ ls --version
+fi
+
+pwd=`pwd`
+tmp=follow-sl.$$
+trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+ln -s link link || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ (exit 1); exit
+fi
+
+fail=0
+
+ls -L link 2> /dev/null && fail=1
+
+(exit $fail); exit